Bug 13456 - new version wmii-3.6
: new version wmii-3.6
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/wmii)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-11-17 01:28 by
Modified: 2009-01-11 10:30 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-11-17 01:28:23
Вышел wmii 3.6 :

----------------
 Greetin's,
 After much procrastination and sitting around on our asses, suckless
has released wmii 3.6!
 You'll find it at http://suckless.org/download/wmii-3.6.tar.gz

 Changes:
* New colour scheme!

 Yep, that's all. Hey, it worked for pokémon!
 ...Just kidding. We also broke fullscreen support.

 Okay seriously, new features since 3.5.1:
* Move and resize windows with the mouse[1]
* Make clients visible in multiple tags[2]
* Move floating windows partially off screen
* Application independent fullscreen functionality[3]
* Support for the aspect ratio window hint
* Support for urgent window hints[4]
* Drag and drop in GTK apps and xprop support[5]

[1] Resize columns by dragging the triangle dividers at the top of the
screen or the [tiny] border between columns. Move/resize clients by
dragging their grabbox (the box at the top left of the window).
[2] Tag a client as 1+2+www and it will appear in tags 1, 2 and www.
Tag it with +www and it will appear in the "www" tag in addition to
what it was already tagged, or -www to remove it from the www tag.
[3] MOD-f to toggle, or right click a client's title and select
Fullscreen (you need MOD-f to get back).
[4] Urgent hints change the colour of the client's grabbox and
generate an UrgentTag event, which the default wmiirc uses to mark the
tag with a *.
[5] Thanks wabu!

 Finally, there are a couple of filesystem/wmiirc interface changes.
Now, everything is similar enough that the CONFVERSION hasn't changed,
so wmii-3.6 still looks in ~/.wmii-3.5, but if you've got custom
scripts there's a couple of things to watch out for:
* X11 window ids are now used to identify clients instead of an internal wmii id
* /tag/*/ctl contains information about the focused column/client and
column modes instead of just the tag name
* /colrules doesn't cause new columns to be created on client creation
anymore, it just specifies the % size of each column when they get
created
* WMII_MENU, WMII_TERM and WMII_9MENU are now quoted and need to be
eval'd, so that everything still works when WMII_FONT contains spaces

 Alright. It's been a long time coming, and could certainly be better
(see NOTES for a list of known bugs), but here we are. Let us know of
any problems.
-sqweek
----------------
------- Comment #1 From 2007-12-23 09:15:28 -------
Вот этот глюк надо побороть.
https://bugs.gentoo.org/show_bug.cgi?id=199553

Там теперь используется внтуренне представление строк в utf8.
А вместо XmbDrawString для отрисовки используется Xutf8DrawString.
Так вот, в заголовках окон и в статусбаре сейчас текст не отрисовывается.
------- Comment #2 From 2007-12-23 09:26:06 -------
http://www.linux.org.ru/view-message.jsp?msgid=2279904
------- Comment #3 From 2008-06-13 13:00:39 -------
*** This bug has been confirmed by popular vote. ***
------- Comment #4 From 2009-01-09 22:45:23 -------
В Сизифе аж 3.7 (похоже, что версия из VCS)
------- Comment #5 From 2009-01-11 10:30:02 -------
(In reply to comment #4)
> В Сизифе аж 3.7 (похоже, что версия из VCS)
> 

Нет, это какая-то pre-3.6 версия. Новый я пытался собрать когда-то взяв за
основу гит at@ -- что-то так и не осилил, не помню уже что, кажется как раз
пресловутое отображение кириллицы.